r3125 - vdr/vdradmin-am/trunk/debian
Tobias Grimm
tiber-guest at costa.debian.org
Tue Jul 25 19:55:55 UTC 2006
Author: tiber-guest
Date: 2006-07-25 19:55:54 +0000 (Tue, 25 Jul 2006)
New Revision: 3125
Modified:
vdr/vdradmin-am/trunk/debian/changelog
vdr/vdradmin-am/trunk/debian/copyright
vdr/vdradmin-am/trunk/debian/vdradmin-am.init
Log:
* Added LSB-Headers and status action to debian/vdradmin-am.init
* Brought debian/copyright up to date and added copyright information
for debian packaging
Modified: vdr/vdradmin-am/trunk/debian/changelog
===================================================================
--- vdr/vdradmin-am/trunk/debian/changelog 2006-07-24 17:00:59 UTC (rev 3124)
+++ vdr/vdradmin-am/trunk/debian/changelog 2006-07-25 19:55:54 UTC (rev 3125)
@@ -1,12 +1,15 @@
vdradmin-am (3.4.6-1) UNRELEASED; urgency=low
- * (NOT RELEASED YET)
+ * (NOT RELEASED YET)
* New upstream release
- * Corrected comment in vdradmin-am.default which referred to a
- wrong path to vdradmind.conf (closes: #378352)
+ * Corrected comment in vdradmin-am.default which referred to a
+ wrong path to vdradmind.conf (closes: #378352)
* Fixed debian/watch
+ * Added LSB-Headers and status action to debian/vdradmin-am.init
+ * Brought debian/copyright up to date and added copyright information
+ for debian packaging
- -- Tobias Grimm <tg at e-tobi.net> Sat, 15 Jul 2006 20:21:08 +0200
+ -- Tobias Grimm <tg at e-tobi.net> Tue, 25 Jul 2006 21:54:49 +0200
vdradmin-am (3.4.5a+3.4.6beta2-1) unstable; urgency=low
Modified: vdr/vdradmin-am/trunk/debian/copyright
===================================================================
--- vdr/vdradmin-am/trunk/debian/copyright 2006-07-24 17:00:59 UTC (rev 3124)
+++ vdr/vdradmin-am/trunk/debian/copyright 2006-07-25 19:55:54 UTC (rev 3125)
@@ -1,13 +1,26 @@
-This package was debianized by Thomas Schmidt <thomas.schmidt at in.stud.tu-ilmenau.de> on
+This package was debianized by Thomas Schmidt <tschmidt at debian.org> on
Wed, 1 Oct 2003 20:36:52 +0200.
It was downloaded from http://andreas.vdr-developer.org/
-Upstream Authors: Thomas Koch <tom at linvdr.org>,
- Andreas Mair <mail at andreas.vdr-developer.org>
+Upstream Authors:
-Copyright: 2001-2004, Thomas Koch <tom at linvdr.org>
+ Thomas Koch <tom at linvdr.org>,
+ Andreas Mair <mail at andreas.vdr-developer.org>
+The Debian packaging is licensed under the GPL (see
+`/usr/share/common-licenses/GPL') and is (C) 2003-2006 by:
+
+ Thomas Schmidt <tschmidt at debian.org>
+ Tobias Grimm <tg at e-tobi.net>
+
+Copyright:
+
+ 2001-2004, Thomas Koch <tom at linvdr.org>
+ 2005-2006, Andreas Mair <mail at andreas.vdr-developer.org>
+
+License:
+
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
@@ -22,5 +35,4 @@
along with this program; if not, write to the Free Software, Inc.,
51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
- see /usr/share/common-licenses/GPL-2
-
+ see /usr/share/common-licenses/GPL-2
Modified: vdr/vdradmin-am/trunk/debian/vdradmin-am.init
===================================================================
--- vdr/vdradmin-am/trunk/debian/vdradmin-am.init 2006-07-24 17:00:59 UTC (rev 3124)
+++ vdr/vdradmin-am/trunk/debian/vdradmin-am.init 2006-07-25 19:55:54 UTC (rev 3125)
@@ -1,16 +1,25 @@
#! /bin/sh
#
+# vdr start-stop script
#
-# Init-script for vdradmin, created by Thomas Schmidt <thomas.schmidt at in.stud.tu-ilmenau.de>
+### BEGIN INIT INFO
+# Provides: vdradmin-am
+# Required-Start: $network $syslog
+# Required-Stop: $network $syslog
+# Should-Start: $local_fs $remote_fs
+# Should-Stop: $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Starts the VDRADMIN-AM
+# Description: Starts the VDRADMIN-AM, the web-based administration
+# tool for VDR, if it is enabled in /etc/default/vdradmin-am.
+### END INIT INFO
+
+# Default settings - don't change them here, override them in
+# /etc/default-vdradmin-am
#
-#
-
-# Default Settings:
-
-# Username/Group vdradmin should run as:
USER=vdradmin-am
GROUP=vdradmin-am
-
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/vdradmind.pl
NAME=vdradmin
@@ -22,7 +31,7 @@
# Include vdradmin defaults if available
if [ -f /etc/default/vdradmin-am ] ; then
- . /etc/default/vdradmin-am
+ . /etc/default/vdradmin-am
fi
set -e
@@ -56,38 +65,55 @@
create_logfile
LANG=$LANG start-stop-daemon --start \
-c $USER:$GROUP -b -m --nicelevel $NICE --pidfile $PIDFILE \
- --exec /usr/bin/vdradmind.pl -- -nf
+ --exec $DAEMON -- -nf
echo "$NAME."
else
echo -n "- aborted (to enable the daemon, edit /etc/default/vdradmin-am)"
fi
}
+get_status()
+{
+ if start-stop-daemon --start --startas $DAEMON --test \
+ --name $(basename $DAEMON) --pidfile $PIDFILE >/dev/null
+ then
+ echo " - is not running."
+ exit 3
+ else
+ echo " - is running."
+ exit 0
+ fi
+}
+
stop_daemon()
{
start-stop-daemon --stop -q -o --pidfile $PIDFILE > /dev/null
}
case "$1" in
- start)
- echo -n "Starting $DESC: "
+ start)
+ echo -n "Starting $DESC: "
start_daemon
- ;;
- stop)
- echo -n "Stopping $DESC: "
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
stop_daemon
echo "$NAME."
- ;;
+ ;;
restart|force-reload)
- echo -n "Restarting $DESC: "
+ echo -n "Restarting $DESC: "
stop_daemon
start_daemon
- ;;
+ ;;
+ status)
+ echo -n "Getting status of $DESC: $NAME"
+ get_status
+ ;;
*)
- N=/etc/init.d/$NAME
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
esac
exit 0
More information about the pkg-vdr-dvb-changes
mailing list